Subject: bug#11402: closed (Re: bug#11402: Problem while compiling emacs-24.0.96 using MinGW on Win7)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 May 2012 14:24:02 +0000

Your bug report

#11402: Problem while compiling emacs-24.0.96 using MinGW on Win7

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11402: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11402
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11402: Problem while compiling emacs-24.0.96 using MinGW on Win7
From: Eli Zaretskii <[email-masked]>
To: Du Yanning <[email-masked]>
Cc: [email-masked]
Date: Fri, 04 May 2012 17:21:15 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 4 May 2012 21:43:14 +0800
> From: Du Yanning <[email-masked]>
> Cc: [email-masked]
> 
> I rename MSYS sh.exe to aaash.exe, and use mingw32-make.exe instead of MSYS
> make.exe.
> This time it works fine.

Great!  Closing the bug.

Subject: Problem while compiling emacs-24.0.96 using MinGW on Win7
From: Du Yanning <[email-masked]>
To: [email-masked]
Date: Fri, 4 May 2012 15:34:03 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Open a Command Prompt window, then

f:\> cd emacs-24.0.96/nt
f:\build-emacs\emacs-24.0.96\
nt> configure.bat --no-debug --cflags -ID:/gnuwin32/include --cflags
-IC:/gnuwin32/src/lib --without-png
f:\build-emacs\emacs-24.0.96\nt> make

After a while, it stopped. The last few lines of the output said:

     cmd /c "fc /b gl-tmp globals.h >nul 2>&1 || cp -f gl-tmp globals.h"
     Microsoft Windows [Version 6.1.7601]
     Copyright (c) 2009 Microsoft Corporation.  All rights reserved.
     f:\build-emacs\emacs-24.0.96\src>

It seems that cmd /c did not quit and the current directory has been
changed from nt to src.
If you press Ctrl+C now, you will get:

f:\build-emacs\emacs-24.0.96\src>make[1]: *** [gl-stamp] Interrupt
make: *** [all-other-dirs-gmake] Interrupt
F:\build-emacs\emacs-24.0.96-mingw\nt>

I found that in src/makefile.w32-in of emacs-24.0.96, there is a line that
emacs 23 does NOT have:
cmd /c "fc /b gl-tmp globals.h >nul 2>&1 || $(CP) gl-tmp globals.h"

How can I cope with this problem?

Thank you all.